# Awesome Stock Resources [![Awesome](https://cdn.rawgit.com/sindresorhus/awesome/d7305f38d29fed78fa85652e3a63e154dd8e8829/media/badge.svg)](https://github.com/sindresorhus/awesome)

![Introductory images](/img/splash.jpg)

> A curated list of awesome  stock photography, video and illustration websites.

I try my best to maintain this repository and keep it up-to-date but if you spot a broken link or a resource which isn't listed, please, feel free to make a pull request.

## Table of Contents

* [Photography](#photography)
  * [CC0-license](#cc0-license)
  * [Custom License / Usage](#custom-license--usage)
  * [Public Domain](#public-domain)
  * [Attribution required licenses](#attribution-required-licenses)
  * [Unspecified License](#unspecified-license)
* [Illustration](#illustration)
* [Videos](#videos)
* [Patterns](#patterns)
* [Fonts](#fonts)
* [Icons](#icons)
  * [Icon Fonts](#icon-fonts)
  * [Icon Packages](#icons-packages)
* [Colors](#colors)
* [Aggregated Content](#aggregated-content)
* [Sounds & Music](#sounds--music)
* [Paid Resources](#paid-resources)
* [How to Contribute](#how-to-contribute)
* [How to Share](#how-to-share)

## Photography

### CC0-license

All the resources below have specifically specified that their content is [CC0-licensed](https://creativecommons.org/publicdomain/zero/1.0/).

* [Barn Images](http://barnimages.com/)
* [Boss Fight!](http://bossfight.co) - 10–20 new images added daily.
* [CC0 Photo](http://cc0.photo/)
* [Creative Vix](http://creativevix.com/stock)
* [Crow the Stone](http://crowthestone.com/)
* [Cupcake](http://cupcake.nilssonlee.se/)
* [Epicantus](http://epicantus.tumblr.com/) - Hi-resolution photos added every week.
* [Fancy Crave](http://fancycrave.com/) - Two new images added every day.
* [FindA.Photo](http://finda.photo/) - search through thousands of CC0 photos by keyword and color
* [Free Nature Stock](http://freenaturestock.com/)
* [Free-Images.cc](http://www.free-images.cc/) - Free images with WordPress Media Library Plugin
* [Furious Camera](http://furiouscamera.com/)
* [Gratisography](http://www.gratisography.com/)
* [Jay Mantri](http://jaymantri.com/)
* [Jé Shoots](http://jeshoots.com/)
* [Life of Pix](http://www.lifeofpix.com/)
* [Little Visuals](http://littlevisuals.co/)
* [Magdeleine](http://magdeleine.co/browse/)
* [MMT](http://mmt.li/) - New photos by [Jeffrey Betts](http://jeffreybetts.me/) added every week.
* [Moveast](http://moveast.me/) - This is a journey of a Portuguese guy moving.
* [Negative Space](http://negativespace.co/) - Stock photos added every week.
* [Pexels](http://www.pexels.com/)
* [Photo Collections](http://photocollections.io/)
* [Photo Crops](http://www.photocrops.com/) - Five high resolution photos added every week, sometimes more.
* [Pixabay](https://pixabay.com) - Stock photos, illustrations, vectors and videos.
* [Realistic Shots](http://realisticshots.com/) - 7 new photos added every week.
* [Skitter Photo](http://skitterphoto.com/)
* [Snapwire Snaps](http://snapwiresnaps.tumblr.com/) - Commissioned photos from 170,000 of the world's most talented photographers.
* [SpaceX Photos](https://www.flickr.com/photos/spacexphotos/) - Promotional SpaceX stock photography.
* [Stock Image Point](http://www.stock-image-point.com/)
* [Stocksnap](https://stocksnap.io/) - Hundreds of high resolution images added weekly
* [Stokpic](http://stokpic.com/)
* [The Pic Pac](https://thepicpac.com/) - New pacs on Monday, free pics Tuesday - Sunday.
* [Travel Coffee Book](http://travelcoffeebook.com/) - Travel photography.
* [Unsplash](https://unsplash.com/)

### Custom License / Usage

These following photography resources are those who have declared their own usage and restriction terms. These can be found by clicking the *(license)* link next to the resource.

* [Bara Art](http://www.bara-art.com/) - [:copyright:](http://www.bara-art.com/about/).
* [Death to the Stock Photo](http://join.deathtothestockphoto.com/) - [:copyright:](http://www.mediafire.com/view/2ifplcw682487nz/Death_to_the_Stock_Photo_-_Photograph_End_User_License_%281-2014%29_%281%29.pdf).
* [Designer Pics](http://www.designerspics.com/) - [:copyright:](http://www.designerspics.com/faq-and-terms/).
* [Foodies Feed](http://foodiesfeed.com) - Food based images. [:copyright:](https://foodiesfeed.com/faq/).
* [Good Stock Photos](https://goodstock.photos/) - [:copyright:](https://goodstock.photos/about/).
* [ISO Republic](http://isorepublic.com/) - [:copyright:](http://isorepublic.com/terms).
* [Kaboom Pics](http://kaboompics.com/) - [:copyright:](http://kaboompics.com/terms).
* [morgueFile](https://www.morguefile.com/archive) - [:copyright:](https://www.morguefile.com/archive) Free photo archive by creatives, for creatives.
* [Pic Jumbo](http://picjumbo.com/) - [:copyright:](https://picjumbo.com/faq-and-terms/).
* [Picography](http://picography.co/) - [:copyright:](http://picography.co/terms/).
* [Shutteroo](http://shutteroo.com/) - [:copyright:](http://shutteroo.com/about/).
* [Split Shire](http://splitshire.com/) - [:copyright:](http://www.splitshire.com/about/).
* [Startup Stock Photos](http://startupstockphotos.com/) - [:copyright:](http://startupstockphotos.com/terms-of-use) Startup based photography.
* [Tookapic](https://stock.tookapic.com/?filter=free) - [:copyright:](https://tookapic.com/terms) Free listing from Tookapic.

### Public Domain

A collection of links to public domain photography resources.

* [Flickr Commons](https://www.flickr.com/commons) - Flickr's catalogue of the worlds public photo archives.
* [New Old Stock](http://nos.twnsnd.co/) - Vintage photos from the public archive. of known copyright restrictions.
* [Public Domain Archive](http://publicdomainarchive.com/) - New stock photos every single week.

### Attribution Required licenses

The photographs on the following resources require Attribution unless otherwise stated on the website itself. These use a mixture of license, all of which have been linked to next to them.

* [IM Creator](http://www.imcreator.com/free) - Some ([CC0-licensed](https://creativecommons.org/publicdomain/zero/1.0/)) photos. Also includes Website templates and icons.
* [NASA Jet Propulsion Laboratory](http://www.jpl.nasa.gov/spaceimages/) - [:copyright:](http://www.jpl.nasa.gov/imagepolicy/) Graphics and photos of space and spaceflight.
* [Raumrot](http://raumrot.com/) - ([CC-BY 2.0](http://creativecommons.org/licenses/by/2.0/)) licensed.
* [Superfamous](http://images.superfamous.com/) - ([CC BY 3.0](http://creativecommons.org/licenses/by/3.0/)) licensed.
* [Women of Color in Tech](https://www.flickr.com/photos/wocintechchat/) - ([CC Attribution 2.0](http://creativecommons.org/licenses/by/2.0/)) Licensed picture from Women of Color in Tech.

### Unspecified License

These resources haven't specified any formal terms of use or licenses.

* [Freejpg](http://en.freejpg.com.ar/) - Free image bank for commercial and editorial use.
* [Nobl Web](http://www.noblweb.com/) - do as you please, high-resolution photos and textures.
* [Peekspace](http://peek.space/) - Curated free-to-use space photography.
* [Re:splashed](http://www.resplashed.com/)
* [Refe Real Life Photos](http://getrefe.tumblr.com/)
* [Trunklog](http://trunklog.com/) - A collection of photos from photographer [Magnus Jälthammar](https://twitter.com/jalthammar).

## Illustration

A collection of illustration resources which contain a mixture of historical archive, contemporary and public domain assets.

* [British Library Illustration Archive](https://www.flickr.com/photos/britishlibrary/) - The British Library’s collections on Flickr Commons offer access to millions of public domain images.
* [Old Book Illustrations](http://www.oldbookillustrations.com/) - A massive collection of illustrations from old books.

## Videos

A selection of websites offering high quality video stock.

* [Coverr](http://coverr.co/)
* [Distill](http://www.wedistill.io/)
* [Mazwai](http://mazwai.com/)
* [Pexels Videos](https://videos.pexels.com/)
* [Vidsplay](http://www.vidsplay.com/)

## Patterns

A mixture of CSS and image based pattern resources.

* [CSS3 Patterns Gallery](http://lea.verou.me/css3patterns/) - CSS3 based repeatable patterns.
* [Subtle Patterns](http://subtlepatterns.com/) - Image based background textures and patterns.
* [The Pattern Library](http://thepatternlibrary.com/) - A collection of bold, bright and funky repeatable patterns.
* [UI Gradients](http://uigradients.com/) - Nice, subtle linear gradients to use in your designs.

## Fonts

A mixture of free and open source font resources.

* [Brick](https://github.com/alfredxing/brick) - Webfonts that actually look good
* [Debian Fonts](http://fonts.debian.net) - [:copyright:](https://www.debian.org/social_contract#guidelines) TTF fonts from the Debian repositories.
* [Font Fabric](http://www.fontfabric.com/category/free/) - Font Fabric's free fonts.
* [Font Squirrel](http://www.fontsquirrel.com) - Handpicked fonts free for commercial use.
* [Google Fonts](https://www.google.com/fonts) - Interactive directory of free hosted application programming interfaces for web fonts.
* [The League of Movable Type](https://www.theleagueofmoveabletype.com/) - Open-source type foundry.

## Icons

### Icon Fonts

A collection for icon font resources, most of which also include SVGs, which can be used in your interface and website designs.

* [Batch Icons](http://adamwhitcroft.com/batch/) - [:copyright:](https://github.com/AdamWhitcroft/Batch/blob/master/License.txt) Icon set of 300+ icons, which is part of [inuit.css](https://github.com/csswizardry/inuit.css).
* [Font Awesome](http://fontawesome.io/) - [:copyright:](http://choosealicense.com/licenses/mit/) MIT licensed icon font.
* [Fontello](http://fontello.com/) - [:copyright:](https://github.com/fontello/fontello/wiki/What-about-license%3F) - Fontello is a tool to quickly pack vector images into webfonts. Also includes a section of stock icons.
* [Foundation Icon Fonts 3](http://zurb.com/playground/foundation-icon-fonts-3) - [:copyright:](http://choosealicense.com/licenses/mit/) An icon font from Zurb, the people behind the Foundation framework.
* [GLYPHICONS](http://glyphicons.com/) - [:copyright:](http://creativecommons.org/licenses/by/3.0/) The free set is released under Creative Commons Attribution 3.0 Unported (CC BY 3.0) license and require attribution.
* [IcoMoon](https://icomoon.io/) - [:copyright:](http://creativecommons.org/licenses/by/4.0/) Custom built and crisp icon fonts, done right.
* [Ionicons](http://ionicons.com/) - [:copyright:](http://choosealicense.com/licenses/mit/) The premium icon font for Ionic Framework. 100% free and open source.
* [Ligature Symbols](http://kudakurage.com/ligature_symbols/) - [:copyright:](http://scripts.sil.org/cms/scripts/page.php?site_id=nrsi&id=OFL) Really clean icon set inlcuding all major topics.
* [Material Design Icons](https://www.google.com/design/icons/) - [:copyright:](https://creativecommons.org/licenses/by/4.0/) Google's Material Icons.
* [Octicons](https://octicons.github.com/) - [:copyright:](http://choosealicense.com/licenses/mit/) GitHub's Icons.
* [Open Iconic](https://useiconic.com/open) - [:copyright: (font)](http://scripts.sil.org/cms/scripts/page.php?item_id=OFL_web) [:copyright: (icons)](http://creativecommons.org/licenses/by-sa/3.0/) Icon set with 223 marks in SVG.
* [Social Stackicons](http://stackicons.com/) - [:copyright:](http://choosealicense.com/licenses/mit/) Icon set with over 60 social brands.
* [Topcoat Icons](https://github.com/topcoat/icons) - [:copyright:](http://www.apache.org/licenses/LICENSE-2.0) Icon by [Topcoat](http://topcoat.io/).
* [Typicons](http://typicons.com/) - [:copyright: (font)](http://scripts.sil.org/cms/scripts/page.php?item_id=OFL_web) [:copyright: (icons)](http://creativecommons.org/licenses/by-sa/3.0/) Rounded icon set with 336 icons.
* [WeLoveIconFonts](http://weloveiconfonts.com) – A free & open source icon fonts hosting service (like Google Web Fonts, but icon fonts only).

### Icons Packages

A collection for SVG icon resources which can be used in your interface and website designs.

* [Entypo](http://www.entypo.com/) - [:copyright:](http://creativecommons.org/licenses/by-sa/3.0/) Carefully crafted iconset by [Daniel Bruce](http://www.danielbruce.se/).
* [Geomicons Icons](http://geomicons.com/) - [:copyright:](http://choosealicense.com/licenses/mit/) Most basic icon set.
* [Iconmonstr](http://iconmonstr.com) - [:copyright:](http://iconmonstr.com/license/) A huge selection of icons in SVG and PNG format.
* [Simple Icons](https://github.com/danleech/simple-icons) - [:copyright:](http://artlibre.org/licence/lal/en/) SVG icons for popular brands.

## Colors

A selection of websites offering color schemes.

* [Color Hunt](http://colorhunt.co/) - A place to discover, create, and share color palettes.
* [Colour Lovers](http://www.colourlovers.com) - A creative community where people from around the world create and share colors, palettes and patterns.
* [Coolors](https://coolors.co/) - The super fast color schemes generator for cool designers.
* [Flat UI Color Picker](http://www.flatuicolorpicker.com/) - A copy and paste resource for colors commonly found in 'flat' designs.
* [Flat UI Colors](https://flatuicolors.com/) - Flat color picker which gives you the perfect colors for flat designs.

## Aggregated Content

A liberal mixture of content aggregated from other free resources and made available at one central point.

* [All The Free Stock](http://allthefreestock.com) - One stop resource for free stock images, videos, sounds and more.
* [Libre Stock](http://librestock.com/) - Search engine for stock photo websites.

## Sounds & Music

* [Free Loops](http://free-loops.com) - [:copyright:](http://free-loops.com/creative-commons-audio.php) Free loops and audio clip.
* [Freesound](http://www.freesound.org) - [:copyright:](http://www.freesound.org/help/about/) Collaborative database of audio snippets, samples, recordings and bleeps.
* [SoundBible](http://soundbible.com) - [:copyright:](http://soundbible.com/about.php) Thousands of free sound effects, sound clips, and straight up sounds.

## Paid Resources

And last, but not least, a selection of the best paid stock resources.

* [Adobe Stock](https://stock.adobe.com/) - Photos, Illustrations, Vectors.
* [Fotolia](https://fotolia.com/) - Photos, Illustrations, Vectors, Videos.
* [Shutterstock](http://www.shutterstock.com/) - Photos, Vectors, Editorial, Footages, Music.
* [Stocksy](http://www.stocksy.com/) - "Cliché-free" Photos.

## How to Contribute

Please read [CONTRIBUTING](/CONTRIBUTING.md).

## How to Share

+ [Share on Twitter](http://twitter.com/home?status=https://github.com/neutraltone/awesome-stock-resources%0AAwesome%20Stock%20Resources)
+ [Share on Facebook](http://www.facebook.com/sharer/sharer.php?s=100&p[url]=https://github.com/neutraltone/awesome-stock-resources&p[images][0]=&p[title]=Awesome%20Stock%20Resources&p[summary]=)
+ [Share on Google Plus](https://plus.google.com/share?url=https://github.com/neutraltone/awesome-stock-resources)
+ [Share on LinkedIn](http://www.linkedin.com/shareArticle?mini=true&url=https://github.com/neutraltone/awesome-stock-resources&title=Awesome%20Stock%20Resources&summary=&source=)

## License

[![CC0](https://i.creativecommons.org/p/zero/1.0/88x31.png)](https://creativecommons.org/publicdomain/zero/1.0/)

To the extent possible under law, [Tony Phipps](http://twitter.com/neutraltone) has waived all copyright and related or neighboring rights to this work.
